#########################################################
# This file has been automatically generated by gem2tgz #
#########################################################
# -*- encoding: utf-8 -*-

Gem::Specification.new do |s|
  s.name = "sham_rack"
  s.version = "1.4.1"

  s.required_rubygems_version = Gem::Requirement.new(">= 0") if s.respond_to? :required_rubygems_version=
  s.authors = ["Mike Williams"]
  s.date = "2017-08-20"
  s.description = "ShamRack plumbs Net::HTTP directly into Rack, for quick and easy HTTP testing."
  s.email = "mdub@dogbiscuit.org"
  s.files = ["Rakefile", "benchmark/benchmark.rb", "benchmark/hello_app.rb", "lib/sham_rack.rb", "lib/sham_rack/allowances.rb", "lib/sham_rack/net_http.rb", "lib/sham_rack/patron.rb", "lib/sham_rack/registration.rb", "lib/sham_rack/stub_web_service.rb", "lib/sham_rack/version.rb", "spec/sham_rack/stub_web_service_spec.rb", "spec/sham_rack_spec.rb", "spec/spec_helper.rb", "spec/test_apps.rb"]
  s.homepage = "http://github.com/mdub/sham_rack"
  s.require_paths = ["lib"]
  s.rubyforge_project = "shamrack"
  s.rubygems_version = "1.8.23"
  s.summary = "Net::HTTP-to-Rack plumbing"
  s.test_files = ["Rakefile", "benchmark/benchmark.rb", "benchmark/hello_app.rb", "spec/sham_rack/stub_web_service_spec.rb", "spec/sham_rack_spec.rb", "spec/spec_helper.rb", "spec/test_apps.rb"]

  if s.respond_to? :specification_version then
    s.specification_version = 4

    if Gem::Version.new(Gem::VERSION) >= Gem::Version.new('1.2.0') then
      s.add_runtime_dependency(%q<rack>, [">= 0"])
    else
      s.add_dependency(%q<rack>, [">= 0"])
    end
  else
    s.add_dependency(%q<rack>, [">= 0"])
  end
end
